# Core Concepts

### Agent Descriptor

Builds the Agent. It contains configuration parameters (i.e.) language and available resources such as knowledge bases, product catalogs, etc...

We'll manually handle onboarding knowledge bases and product catalogs for initial API customers. We'll provide an `agent_descriptor_id` .

### Access Keys

To access the API, you'll be given a `business_id` and `api_key`. These keys are restricted to only invoke Sofia and CANNOT be used to send WhatsApp messages or view campaign reports. It is safe to include the API Key in browser-side javascript.

### Session ID

A session ID is unique to a conversation.

### State ID

A State ID refers to a given state in a conversation. The State ID is helpful to continue a conversation from a given point in time. The most common use case for the State ID is to include in the request when invoking the Sales Assistant.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.connectly.ai/sofia-ai/sofia-ai-api/reference/core-concepts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
